pragma Ada_95;
pragma Warnings (Off);
with System;
package ada_main is

   gnat_argc : Integer;
   gnat_argv : System.Address;
   gnat_envp : System.Address;

   pragma Import (C, gnat_argc);
   pragma Import (C, gnat_argv);
   pragma Import (C, gnat_envp);

   gnat_exit_status : Integer;
   pragma Import (C, gnat_exit_status);

   GNAT_Version : constant String :=
                    "GNAT Version: 6.5.0 20181026 [gcc-6-branch revision 265527]" & ASCII.NUL;
   pragma Export (C, GNAT_Version, "__gnat_version");

   Ada_Main_Program_Name : constant String := "_ada_gnatbind" & ASCII.NUL;
   pragma Export (C, Ada_Main_Program_Name, "__gnat_ada_main_program_name");

   procedure adainit;
   pragma Export (C, adainit, "adainit");

   procedure adafinal;
   pragma Export (C, adafinal, "adafinal");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer;
   pragma Export (C, main, "main");

   type Version_32 is mod 2 ** 32;
   u00001 : constant Version_32 := 16#9e17c5d1#;
   pragma Export (C, u00001, "gnatbindB");
   u00002 : constant Version_32 := 16#d6787f71#;
   pragma Export (C, u00002, "gnatbindS");
   u00003 : constant Version_32 := 16#b6df930e#;
   pragma Export (C, u00003, "system__standard_libraryB");
   u00004 : constant Version_32 := 16#71494e31#;
   pragma Export (C, u00004, "system__standard_libraryS");
   u00005 : constant Version_32 := 16#3ffc8e18#;
   pragma Export (C, u00005, "adaS");
   u00006 : constant Version_32 := 16#072c0f5a#;
   pragma Export (C, u00006, "ada__command_lineB");
   u00007 : constant Version_32 := 16#d59e21a4#;
   pragma Export (C, u00007, "ada__command_lineS");
   u00008 : constant Version_32 := 16#811ff877#;
   pragma Export (C, u00008, "systemS");
   u00009 : constant Version_32 := 16#0f0cb66d#;
   pragma Export (C, u00009, "system__secondary_stackB");
   u00010 : constant Version_32 := 16#2a7e371e#;
   pragma Export (C, u00010, "system__secondary_stackS");
   u00011 : constant Version_32 := 16#b01dad17#;
   pragma Export (C, u00011, "system__parametersB");
   u00012 : constant Version_32 := 16#ff35f508#;
   pragma Export (C, u00012, "system__parametersS");
   u00013 : constant Version_32 := 16#465d427a#;
   pragma Export (C, u00013, "system__soft_linksB");
   u00014 : constant Version_32 := 16#a8834ab2#;
   pragma Export (C, u00014, "system__soft_linksS");
   u00015 : constant Version_32 := 16#30db0bea#;
   pragma Export (C, u00015, "ada__exceptionsB");
   u00016 : constant Version_32 := 16#572ecc65#;
   pragma Export (C, u00016, "ada__exceptionsS");
   u00017 : constant Version_32 := 16#e947e6a9#;
   pragma Export (C, u00017, "ada__exceptions__last_chance_handlerB");
   u00018 : constant Version_32 := 16#f6fd3fbe#;
   pragma Export (C, u00018, "ada__exceptions__last_chance_handlerS");
   u00019 : constant Version_32 := 16#87a448ff#;
   pragma Export (C, u00019, "system__exception_tableB");
   u00020 : constant Version_32 := 16#dcb19135#;
   pragma Export (C, u00020, "system__exception_tableS");
   u00021 : constant Version_32 := 16#aa0563fc#;
   pragma Export (C, u00021, "system__exceptions_debugB");
   u00022 : constant Version_32 := 16#ff9501b3#;
   pragma Export (C, u00022, "system__exceptions_debugS");
   u00023 : constant Version_32 := 16#39a03df9#;
   pragma Export (C, u00023, "system__storage_elementsB");
   u00024 : constant Version_32 := 16#acdcb273#;
   pragma Export (C, u00024, "system__storage_elementsS");
   u00025 : constant Version_32 := 16#9ed49525#;
   pragma Export (C, u00025, "system__traceback_entriesB");
   u00026 : constant Version_32 := 16#81440e07#;
   pragma Export (C, u00026, "system__traceback_entriesS");
   u00027 : constant Version_32 := 16#41837d1e#;
   pragma Export (C, u00027, "system__stack_checkingB");
   u00028 : constant Version_32 := 16#0fa0939f#;
   pragma Export (C, u00028, "system__stack_checkingS");
   u00029 : constant Version_32 := 16#ec9b343a#;
   pragma Export (C, u00029, "ada__command_line__response_fileB");
   u00030 : constant Version_32 := 16#b1869dd1#;
   pragma Export (C, u00030, "ada__command_line__response_fileS");
   u00031 : constant Version_32 := 16#5b4a1a1d#;
   pragma Export (C, u00031, "system__os_libB");
   u00032 : constant Version_32 := 16#dc0cac3f#;
   pragma Export (C, u00032, "system__os_libS");
   u00033 : constant Version_32 := 16#d1060688#;
   pragma Export (C, u00033, "system__case_utilB");
   u00034 : constant Version_32 := 16#a51691a0#;
   pragma Export (C, u00034, "system__case_utilS");
   u00035 : constant Version_32 := 16#f18e2e79#;
   pragma Export (C, u00035, "system__crtlS");
   u00036 : constant Version_32 := 16#1a817b8e#;
   pragma Export (C, u00036, "system__stringsB");
   u00037 : constant Version_32 := 16#ffa0e911#;
   pragma Export (C, u00037, "system__stringsS");
   u00038 : constant Version_32 := 16#3b26d9c2#;
   pragma Export (C, u00038, "aliB");
   u00039 : constant Version_32 := 16#5eeefc82#;
   pragma Export (C, u00039, "aliS");
   u00040 : constant Version_32 := 16#9f366a7a#;
   pragma Export (C, u00040, "butilB");
   u00041 : constant Version_32 := 16#1b12d043#;
   pragma Export (C, u00041, "butilS");
   u00042 : constant Version_32 := 16#9599b87a#;
   pragma Export (C, u00042, "outputB");
   u00043 : constant Version_32 := 16#6ac8fa82#;
   pragma Export (C, u00043, "outputS");
   u00044 : constant Version_32 := 16#3cd70866#;
   pragma Export (C, u00044, "hostparmS");
   u00045 : constant Version_32 := 16#fd83e873#;
   pragma Export (C, u00045, "system__concat_2B");
   u00046 : constant Version_32 := 16#83bf2fa7#;
   pragma Export (C, u00046, "system__concat_2S");
   u00047 : constant Version_32 := 16#e0b5d67b#;
   pragma Export (C, u00047, "typesB");
   u00048 : constant Version_32 := 16#f4aede62#;
   pragma Export (C, u00048, "typesS");
   u00049 : constant Version_32 := 16#5b9edcc4#;
   pragma Export (C, u00049, "system__compare_array_unsigned_8B");
   u00050 : constant Version_32 := 16#281c89fa#;
   pragma Export (C, u00050, "system__compare_array_unsigned_8S");
   u00051 : constant Version_32 := 16#5f72f755#;
   pragma Export (C, u00051, "system__address_operationsB");
   u00052 : constant Version_32 := 16#92134644#;
   pragma Export (C, u00052, "system__address_operationsS");
   u00053 : constant Version_32 := 16#1c475cb7#;
   pragma Export (C, u00053, "system__unsigned_typesS");
   u00054 : constant Version_32 := 16#e07ccf39#;
   pragma Export (C, u00054, "nametB");
   u00055 : constant Version_32 := 16#c54dad4d#;
   pragma Export (C, u00055, "nametS");
   u00056 : constant Version_32 := 16#f7c84cf8#;
   pragma Export (C, u00056, "debugB");
   u00057 : constant Version_32 := 16#3ea59655#;
   pragma Export (C, u00057, "debugS");
   u00058 : constant Version_32 := 16#4be8ce1b#;
   pragma Export (C, u00058, "interfacesS");
   u00059 : constant Version_32 := 16#45f43c10#;
   pragma Export (C, u00059, "optB");
   u00060 : constant Version_32 := 16#467c6b6f#;
   pragma Export (C, u00060, "optS");
   u00061 : constant Version_32 := 16#a9cccf95#;
   pragma Export (C, u00061, "gnatvsnB");
   u00062 : constant Version_32 := 16#5a4c4232#;
   pragma Export (C, u00062, "gnatvsnS");
   u00063 : constant Version_32 := 16#31238d4a#;
   pragma Export (C, u00063, "tree_ioB");
   u00064 : constant Version_32 := 16#21cd5a7a#;
   pragma Export (C, u00064, "tree_ioS");
   u00065 : constant Version_32 := 16#8c33a517#;
   pragma Export (C, u00065, "system__wch_conB");
   u00066 : constant Version_32 := 16#9a62daa5#;
   pragma Export (C, u00066, "system__wch_conS");
   u00067 : constant Version_32 := 16#4bdda908#;
   pragma Export (C, u00067, "widecharB");
   u00068 : constant Version_32 := 16#a10d9892#;
   pragma Export (C, u00068, "widecharS");
   u00069 : constant Version_32 := 16#b96cfbef#;
   pragma Export (C, u00069, "system__wch_cnvB");
   u00070 : constant Version_32 := 16#95d56056#;
   pragma Export (C, u00070, "system__wch_cnvS");
   u00071 : constant Version_32 := 16#ece6fdb6#;
   pragma Export (C, u00071, "system__wch_jisB");
   u00072 : constant Version_32 := 16#15a57977#;
   pragma Export (C, u00072, "system__wch_jisS");
   u00073 : constant Version_32 := 16#61013b91#;
   pragma Export (C, u00073, "allocS");
   u00074 : constant Version_32 := 16#de72df4b#;
   pragma Export (C, u00074, "tableB");
   u00075 : constant Version_32 := 16#7d7242bf#;
   pragma Export (C, u00075, "tableS");
   u00076 : constant Version_32 := 16#efffa567#;
   pragma Export (C, u00076, "system__memoryB");
   u00077 : constant Version_32 := 16#d8629e43#;
   pragma Export (C, u00077, "system__memoryS");
   u00078 : constant Version_32 := 16#3669b76b#;
   pragma Export (C, u00078, "fnameB");
   u00079 : constant Version_32 := 16#6b125867#;
   pragma Export (C, u00079, "fnameS");
   u00080 : constant Version_32 := 16#128276e6#;
   pragma Export (C, u00080, "osintB");
   u00081 : constant Version_32 := 16#70292477#;
   pragma Export (C, u00081, "osintS");
   u00082 : constant Version_32 := 16#eab35253#;
   pragma Export (C, u00082, "fmapB");
   u00083 : constant Version_32 := 16#d5c89693#;
   pragma Export (C, u00083, "fmapS");
   u00084 : constant Version_32 := 16#fd2ad2f1#;
   pragma Export (C, u00084, "gnatS");
   u00085 : constant Version_32 := 16#be789e08#;
   pragma Export (C, u00085, "gnat__htableB");
   u00086 : constant Version_32 := 16#328c5a96#;
   pragma Export (C, u00086, "gnat__htableS");
   u00087 : constant Version_32 := 16#c3335bfd#;
   pragma Export (C, u00087, "system__htableB");
   u00088 : constant Version_32 := 16#05dd4b9d#;
   pragma Export (C, u00088, "system__htableS");
   u00089 : constant Version_32 := 16#089f5cd0#;
   pragma Export (C, u00089, "system__string_hashB");
   u00090 : constant Version_32 := 16#a78320e3#;
   pragma Export (C, u00090, "system__string_hashS");
   u00091 : constant Version_32 := 16#0b4c3a84#;
   pragma Export (C, u00091, "sdefaultB");
   u00092 : constant Version_32 := 16#e6b86192#;
   pragma Export (C, u00092, "sdefaultS");
   u00093 : constant Version_32 := 16#b4c7e746#;
   pragma Export (C, u00093, "targparmB");
   u00094 : constant Version_32 := 16#e933183e#;
   pragma Export (C, u00094, "targparmS");
   u00095 : constant Version_32 := 16#19271515#;
   pragma Export (C, u00095, "csetsB");
   u00096 : constant Version_32 := 16#e948558f#;
   pragma Export (C, u00096, "csetsS");
   u00097 : constant Version_32 := 16#d0432c8d#;
   pragma Export (C, u00097, "system__img_enum_newB");
   u00098 : constant Version_32 := 16#e053feb7#;
   pragma Export (C, u00098, "system__img_enum_newS");
   u00099 : constant Version_32 := 16#771282a6#;
   pragma Export (C, u00099, "ridentS");
   u00100 : constant Version_32 := 16#5239e621#;
   pragma Export (C, u00100, "casingB");
   u00101 : constant Version_32 := 16#c2f1dfc8#;
   pragma Export (C, u00101, "casingS");
   u00102 : constant Version_32 := 16#7437f44d#;
   pragma Export (C, u00102, "ali__utilB");
   u00103 : constant Version_32 := 16#edfe09e7#;
   pragma Export (C, u00103, "ali__utilS");
   u00104 : constant Version_32 := 16#7dece458#;
   pragma Export (C, u00104, "atreeB");
   u00105 : constant Version_32 := 16#90f6513b#;
   pragma Export (C, u00105, "atreeS");
   u00106 : constant Version_32 := 16#968822ef#;
   pragma Export (C, u00106, "aspectsB");
   u00107 : constant Version_32 := 16#b96ce0c7#;
   pragma Export (C, u00107, "aspectsS");
   u00108 : constant Version_32 := 16#7686d759#;
   pragma Export (C, u00108, "einfoB");
   u00109 : constant Version_32 := 16#56456cbf#;
   pragma Export (C, u00109, "einfoS");
   u00110 : constant Version_32 := 16#25af0104#;
   pragma Export (C, u00110, "elistsB");
   u00111 : constant Version_32 := 16#92619bca#;
   pragma Export (C, u00111, "elistsS");
   u00112 : constant Version_32 := 16#bf2c8920#;
   pragma Export (C, u00112, "nlistsB");
   u00113 : constant Version_32 := 16#b924f3a1#;
   pragma Export (C, u00113, "nlistsS");
   u00114 : constant Version_32 := 16#892e4397#;
   pragma Export (C, u00114, "sinfoB");
   u00115 : constant Version_32 := 16#0ecf3058#;
   pragma Export (C, u00115, "sinfoS");
   u00116 : constant Version_32 := 16#51f15cda#;
   pragma Export (C, u00116, "uintpB");
   u00117 : constant Version_32 := 16#03739400#;
   pragma Export (C, u00117, "uintpS");
   u00118 : constant Version_32 := 16#a629e35b#;
   pragma Export (C, u00118, "urealpB");
   u00119 : constant Version_32 := 16#64dbadd6#;
   pragma Export (C, u00119, "urealpS");
   u00120 : constant Version_32 := 16#e9b9c80c#;
   pragma Export (C, u00120, "standB");
   u00121 : constant Version_32 := 16#d68958ab#;
   pragma Export (C, u00121, "standS");
   u00122 : constant Version_32 := 16#0a5c5dae#;
   pragma Export (C, u00122, "snamesB");
   u00123 : constant Version_32 := 16#4c7a0a7a#;
   pragma Export (C, u00123, "snamesS");
   u00124 : constant Version_32 := 16#4019a20e#;
   pragma Export (C, u00124, "sinputB");
   u00125 : constant Version_32 := 16#55e1cbf0#;
   pragma Export (C, u00125, "sinputS");
   u00126 : constant Version_32 := 16#f546f02e#;
   pragma Export (C, u00126, "gnat__byte_order_markB");
   u00127 : constant Version_32 := 16#d63962dd#;
   pragma Export (C, u00127, "gnat__byte_order_markS");
   u00128 : constant Version_32 := 16#863b9c9c#;
   pragma Export (C, u00128, "scansB");
   u00129 : constant Version_32 := 16#1162c1c1#;
   pragma Export (C, u00129, "scansS");
   u00130 : constant Version_32 := 16#e247ddf6#;
   pragma Export (C, u00130, "binderrB");
   u00131 : constant Version_32 := 16#43014bf7#;
   pragma Export (C, u00131, "binderrS");
   u00132 : constant Version_32 := 16#64b62229#;
   pragma Export (C, u00132, "err_varsS");
   u00133 : constant Version_32 := 16#837daa7e#;
   pragma Export (C, u00133, "restrictB");
   u00134 : constant Version_32 := 16#47037788#;
   pragma Export (C, u00134, "restrictS");
   u00135 : constant Version_32 := 16#ae2822f3#;
   pragma Export (C, u00135, "erroutB");
   u00136 : constant Version_32 := 16#fd78b5ec#;
   pragma Export (C, u00136, "erroutS");
   u00137 : constant Version_32 := 16#7e128035#;
   pragma Export (C, u00137, "erroutcB");
   u00138 : constant Version_32 := 16#98e197c3#;
   pragma Export (C, u00138, "erroutcS");
   u00139 : constant Version_32 := 16#6d3ae787#;
   pragma Export (C, u00139, "stringtB");
   u00140 : constant Version_32 := 16#a9a45796#;
   pragma Export (C, u00140, "stringtS");
   u00141 : constant Version_32 := 16#b1d9bd42#;
   pragma Export (C, u00141, "libB");
   u00142 : constant Version_32 := 16#e696d619#;
   pragma Export (C, u00142, "libS");
   u00143 : constant Version_32 := 16#82dc6745#;
   pragma Export (C, u00143, "unameB");
   u00144 : constant Version_32 := 16#74828bce#;
   pragma Export (C, u00144, "unameS");
   u00145 : constant Version_32 := 16#89c979ff#;
   pragma Export (C, u00145, "sem_auxB");
   u00146 : constant Version_32 := 16#fd5011c8#;
   pragma Export (C, u00146, "sem_auxS");
   u00147 : constant Version_32 := 16#de2013ba#;
   pragma Export (C, u00147, "styleswB");
   u00148 : constant Version_32 := 16#cbf6663c#;
   pragma Export (C, u00148, "styleswS");
   u00149 : constant Version_32 := 16#95a81a49#;
   pragma Export (C, u00149, "fname__ufB");
   u00150 : constant Version_32 := 16#d2afe5f2#;
   pragma Export (C, u00150, "fname__ufS");
   u00151 : constant Version_32 := 16#2efe74c7#;
   pragma Export (C, u00151, "krunchB");
   u00152 : constant Version_32 := 16#c0b4ff65#;
   pragma Export (C, u00152, "krunchS");
   u00153 : constant Version_32 := 16#20a85988#;
   pragma Export (C, u00153, "scngB");
   u00154 : constant Version_32 := 16#253ff365#;
   pragma Export (C, u00154, "scngS");
   u00155 : constant Version_32 := 16#1c868fea#;
   pragma Export (C, u00155, "system__crc32B");
   u00156 : constant Version_32 := 16#2950beab#;
   pragma Export (C, u00156, "system__crc32S");
   u00157 : constant Version_32 := 16#27ccf663#;
   pragma Export (C, u00157, "system__utf_32B");
   u00158 : constant Version_32 := 16#1f9611bb#;
   pragma Export (C, u00158, "system__utf_32S");
   u00159 : constant Version_32 := 16#b9dc0b82#;
   pragma Export (C, u00159, "stylegB");
   u00160 : constant Version_32 := 16#1a9791ef#;
   pragma Export (C, u00160, "stylegS");
   u00161 : constant Version_32 := 16#683b84a7#;
   pragma Export (C, u00161, "sinput__cB");
   u00162 : constant Version_32 := 16#168674b6#;
   pragma Export (C, u00162, "sinput__cS");
   u00163 : constant Version_32 := 16#334f6c8c#;
   pragma Export (C, u00163, "bcheckB");
   u00164 : constant Version_32 := 16#881dacd4#;
   pragma Export (C, u00164, "bcheckS");
   u00165 : constant Version_32 := 16#fd5884cd#;
   pragma Export (C, u00165, "bindeB");
   u00166 : constant Version_32 := 16#b03a54e2#;
   pragma Export (C, u00166, "bindeS");
   u00167 : constant Version_32 := 16#99b3d5ec#;
   pragma Export (C, u00167, "bindgenB");
   u00168 : constant Version_32 := 16#738a6e94#;
   pragma Export (C, u00168, "bindgenS");
   u00169 : constant Version_32 := 16#971572dd#;
   pragma Export (C, u00169, "gnat__heap_sort_aB");
   u00170 : constant Version_32 := 16#4696d852#;
   pragma Export (C, u00170, "gnat__heap_sort_aS");
   u00171 : constant Version_32 := 16#69f55c9b#;
   pragma Export (C, u00171, "osint__bB");
   u00172 : constant Version_32 := 16#47a09ac7#;
   pragma Export (C, u00172, "osint__bS");
   u00173 : constant Version_32 := 16#89faed64#;
   pragma Export (C, u00173, "bindusgB");
   u00174 : constant Version_32 := 16#12f067e3#;
   pragma Export (C, u00174, "bindusgS");
   u00175 : constant Version_32 := 16#e941328e#;
   pragma Export (C, u00175, "switchB");
   u00176 : constant Version_32 := 16#7ef77e7d#;
   pragma Export (C, u00176, "switchS");
   u00177 : constant Version_32 := 16#b90547ff#;
   pragma Export (C, u00177, "switch__bB");
   u00178 : constant Version_32 := 16#2c145cac#;
   pragma Export (C, u00178, "switch__bS");
   --  BEGIN ELABORATION ORDER
   --  ada%s
   --  ada.command_line%s
   --  gnat%s
   --  gnat.heap_sort_a%s
   --  gnat.heap_sort_a%b
   --  interfaces%s
   --  system%s
   --  system.address_operations%s
   --  system.address_operations%b
   --  system.case_util%s
   --  system.case_util%b
   --  system.htable%s
   --  gnat.htable%s
   --  gnat.htable%b
   --  system.img_enum_new%s
   --  system.img_enum_new%b
   --  system.parameters%s
   --  system.parameters%b
   --  system.crtl%s
   --  system.standard_library%s
   --  system.exceptions_debug%s
   --  system.exceptions_debug%b
   --  system.storage_elements%s
   --  system.storage_elements%b
   --  system.stack_checking%s
   --  system.stack_checking%b
   --  system.string_hash%s
   --  system.string_hash%b
   --  system.htable%b
   --  system.strings%s
   --  system.strings%b
   --  system.os_lib%s
   --  system.traceback_entries%s
   --  system.traceback_entries%b
   --  ada.exceptions%s
   --  system.soft_links%s
   --  system.unsigned_types%s
   --  system.utf_32%s
   --  system.utf_32%b
   --  system.wch_con%s
   --  system.wch_con%b
   --  system.wch_cnv%s
   --  system.wch_jis%s
   --  system.wch_jis%b
   --  system.wch_cnv%b
   --  ada.exceptions.last_chance_handler%s
   --  ada.exceptions.last_chance_handler%b
   --  gnat.byte_order_mark%s
   --  gnat.byte_order_mark%b
   --  system.compare_array_unsigned_8%s
   --  system.compare_array_unsigned_8%b
   --  system.concat_2%s
   --  system.concat_2%b
   --  system.crc32%s
   --  system.crc32%b
   --  system.exception_table%s
   --  system.exception_table%b
   --  ada.command_line.response_file%s
   --  system.memory%s
   --  system.memory%b
   --  system.standard_library%b
   --  system.secondary_stack%s
   --  system.soft_links%b
   --  ada.exceptions%b
   --  system.os_lib%b
   --  ada.command_line%b
   --  system.secondary_stack%b
   --  ada.command_line.response_file%b
   --  debug%s
   --  debug%b
   --  types%s
   --  types%b
   --  alloc%s
   --  bcheck%s
   --  bindgen%s
   --  bindusg%s
   --  casing%s
   --  elists%s
   --  gnatbind%s
   --  gnatvsn%s
   --  gnatvsn%b
   --  hostparm%s
   --  krunch%s
   --  krunch%b
   --  nlists%s
   --  opt%s
   --  csets%s
   --  csets%b
   --  output%s
   --  output%b
   --  rident%s
   --  sdefault%s
   --  stand%s
   --  styleg%s
   --  scng%s
   --  stylesw%s
   --  stylesw%b
   --  switch%s
   --  switch.b%s
   --  tree_io%s
   --  tree_io%b
   --  stand%b
   --  opt%b
   --  table%s
   --  table%b
   --  elists%b
   --  erroutc%s
   --  namet%s
   --  ali%s
   --  ali.util%s
   --  binde%s
   --  binderr%s
   --  butil%s
   --  butil%b
   --  binderr%b
   --  fmap%s
   --  fname%s
   --  fname%b
   --  fname.uf%s
   --  lib%s
   --  osint%s
   --  fmap%b
   --  binde%b
   --  ali%b
   --  switch.b%b
   --  switch%b
   --  sdefault%b
   --  bindusg%b
   --  bcheck%b
   --  osint.b%s
   --  sinput%s
   --  sinput.c%s
   --  sinput.c%b
   --  snames%s
   --  snames%b
   --  aspects%s
   --  stringt%s
   --  stringt%b
   --  targparm%s
   --  targparm%b
   --  osint%b
   --  gnatbind%b
   --  bindgen%b
   --  uintp%s
   --  uintp%b
   --  err_vars%s
   --  errout%s
   --  restrict%s
   --  uname%s
   --  urealp%s
   --  urealp%b
   --  einfo%s
   --  scans%s
   --  scans%b
   --  sinfo%s
   --  atree%s
   --  atree%b
   --  sinfo%b
   --  einfo%b
   --  uname%b
   --  restrict%b
   --  aspects%b
   --  styleg%b
   --  nlists%b
   --  sem_aux%s
   --  sem_aux%b
   --  errout%b
   --  widechar%s
   --  widechar%b
   --  sinput%b
   --  lib%b
   --  fname.uf%b
   --  namet%b
   --  osint.b%b
   --  erroutc%b
   --  scng%b
   --  casing%b
   --  ali.util%b
   --  END ELABORATION ORDER


end ada_main;
