pragma Ada_95;
pragma Warnings (Off);
with System;
package ada_main is

   gnat_argc : Integer;
   gnat_argv : System.Address;
   gnat_envp : System.Address;

   pragma Import (C, gnat_argc);
   pragma Import (C, gnat_argv);
   pragma Import (C, gnat_envp);

   gnat_exit_status : Integer;
   pragma Import (C, gnat_exit_status);

   GNAT_Version : constant String :=
                    "GNAT Version: 6.5.0 20181026 [gcc-6-branch revision 265527]" & ASCII.NUL;
   pragma Export (C, GNAT_Version, "__gnat_version");

   Ada_Main_Program_Name : constant String := "_ada_gnatlink" & ASCII.NUL;
   pragma Export (C, Ada_Main_Program_Name, "__gnat_ada_main_program_name");

   procedure adainit;
   pragma Export (C, adainit, "adainit");

   procedure adafinal;
   pragma Export (C, adafinal, "adafinal");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer;
   pragma Export (C, main, "main");

   type Version_32 is mod 2 ** 32;
   u00001 : constant Version_32 := 16#61b4bd71#;
   pragma Export (C, u00001, "gnatlinkB");
   u00002 : constant Version_32 := 16#e72e593c#;
   pragma Export (C, u00002, "gnatlinkS");
   u00003 : constant Version_32 := 16#b6df930e#;
   pragma Export (C, u00003, "system__standard_libraryB");
   u00004 : constant Version_32 := 16#937076cc#;
   pragma Export (C, u00004, "system__standard_libraryS");
   u00005 : constant Version_32 := 16#3ffc8e18#;
   pragma Export (C, u00005, "adaS");
   u00006 : constant Version_32 := 16#e51537a7#;
   pragma Export (C, u00006, "ada__command_lineB");
   u00007 : constant Version_32 := 16#d59e21a4#;
   pragma Export (C, u00007, "ada__command_lineS");
   u00008 : constant Version_32 := 16#6326c08a#;
   pragma Export (C, u00008, "systemS");
   u00009 : constant Version_32 := 16#0f0cb66d#;
   pragma Export (C, u00009, "system__secondary_stackB");
   u00010 : constant Version_32 := 16#c8470fe3#;
   pragma Export (C, u00010, "system__secondary_stackS");
   u00011 : constant Version_32 := 16#b01dad17#;
   pragma Export (C, u00011, "system__parametersB");
   u00012 : constant Version_32 := 16#1d0ccdf5#;
   pragma Export (C, u00012, "system__parametersS");
   u00013 : constant Version_32 := 16#465d427a#;
   pragma Export (C, u00013, "system__soft_linksB");
   u00014 : constant Version_32 := 16#fda218df#;
   pragma Export (C, u00014, "system__soft_linksS");
   u00015 : constant Version_32 := 16#e7214354#;
   pragma Export (C, u00015, "ada__exceptionsB");
   u00016 : constant Version_32 := 16#020f9e08#;
   pragma Export (C, u00016, "ada__exceptionsS");
   u00017 : constant Version_32 := 16#e947e6a9#;
   pragma Export (C, u00017, "ada__exceptions__last_chance_handlerB");
   u00018 : constant Version_32 := 16#41e5552e#;
   pragma Export (C, u00018, "ada__exceptions__last_chance_handlerS");
   u00019 : constant Version_32 := 16#87a448ff#;
   pragma Export (C, u00019, "system__exception_tableB");
   u00020 : constant Version_32 := 16#3e88a9c8#;
   pragma Export (C, u00020, "system__exception_tableS");
   u00021 : constant Version_32 := 16#ce4af020#;
   pragma Export (C, u00021, "system__exceptionsB");
   u00022 : constant Version_32 := 16#0b45ad7c#;
   pragma Export (C, u00022, "system__exceptionsS");
   u00023 : constant Version_32 := 16#4c9e814d#;
   pragma Export (C, u00023, "system__exceptions__machineS");
   u00024 : constant Version_32 := 16#aa0563fc#;
   pragma Export (C, u00024, "system__exceptions_debugB");
   u00025 : constant Version_32 := 16#1dac394e#;
   pragma Export (C, u00025, "system__exceptions_debugS");
   u00026 : constant Version_32 := 16#570325c8#;
   pragma Export (C, u00026, "system__img_intB");
   u00027 : constant Version_32 := 16#61fd2048#;
   pragma Export (C, u00027, "system__img_intS");
   u00028 : constant Version_32 := 16#39a03df9#;
   pragma Export (C, u00028, "system__storage_elementsB");
   u00029 : constant Version_32 := 16#4ee58a8e#;
   pragma Export (C, u00029, "system__storage_elementsS");
   u00030 : constant Version_32 := 16#39df8c17#;
   pragma Export (C, u00030, "system__tracebackB");
   u00031 : constant Version_32 := 16#3d041e4e#;
   pragma Export (C, u00031, "system__tracebackS");
   u00032 : constant Version_32 := 16#9ed49525#;
   pragma Export (C, u00032, "system__traceback_entriesB");
   u00033 : constant Version_32 := 16#637d36fa#;
   pragma Export (C, u00033, "system__traceback_entriesS");
   u00034 : constant Version_32 := 16#6fd210f2#;
   pragma Export (C, u00034, "system__traceback__symbolicB");
   u00035 : constant Version_32 := 16#dd19f67a#;
   pragma Export (C, u00035, "system__traceback__symbolicS");
   u00036 : constant Version_32 := 16#701f9d88#;
   pragma Export (C, u00036, "ada__exceptions__tracebackB");
   u00037 : constant Version_32 := 16#20245e75#;
   pragma Export (C, u00037, "ada__exceptions__tracebackS");
   u00038 : constant Version_32 := 16#57a37a42#;
   pragma Export (C, u00038, "system__address_imageB");
   u00039 : constant Version_32 := 16#c2ca5db0#;
   pragma Export (C, u00039, "system__address_imageS");
   u00040 : constant Version_32 := 16#8c33a517#;
   pragma Export (C, u00040, "system__wch_conB");
   u00041 : constant Version_32 := 16#785be258#;
   pragma Export (C, u00041, "system__wch_conS");
   u00042 : constant Version_32 := 16#9721e840#;
   pragma Export (C, u00042, "system__wch_stwB");
   u00043 : constant Version_32 := 16#554ace59#;
   pragma Export (C, u00043, "system__wch_stwS");
   u00044 : constant Version_32 := 16#b96cfbef#;
   pragma Export (C, u00044, "system__wch_cnvB");
   u00045 : constant Version_32 := 16#77ec58ab#;
   pragma Export (C, u00045, "system__wch_cnvS");
   u00046 : constant Version_32 := 16#4be8ce1b#;
   pragma Export (C, u00046, "interfacesS");
   u00047 : constant Version_32 := 16#ece6fdb6#;
   pragma Export (C, u00047, "system__wch_jisB");
   u00048 : constant Version_32 := 16#f79c418a#;
   pragma Export (C, u00048, "system__wch_jisS");
   u00049 : constant Version_32 := 16#41837d1e#;
   pragma Export (C, u00049, "system__stack_checkingB");
   u00050 : constant Version_32 := 16#ed99ab62#;
   pragma Export (C, u00050, "system__stack_checkingS");
   u00051 : constant Version_32 := 16#3b26d9c2#;
   pragma Export (C, u00051, "aliB");
   u00052 : constant Version_32 := 16#5eeefc82#;
   pragma Export (C, u00052, "aliS");
   u00053 : constant Version_32 := 16#9f366a7a#;
   pragma Export (C, u00053, "butilB");
   u00054 : constant Version_32 := 16#1b12d043#;
   pragma Export (C, u00054, "butilS");
   u00055 : constant Version_32 := 16#9599b87a#;
   pragma Export (C, u00055, "outputB");
   u00056 : constant Version_32 := 16#6ac8fa82#;
   pragma Export (C, u00056, "outputS");
   u00057 : constant Version_32 := 16#52f1910f#;
   pragma Export (C, u00057, "system__assertionsB");
   u00058 : constant Version_32 := 16#aeabec1e#;
   pragma Export (C, u00058, "system__assertionsS");
   u00059 : constant Version_32 := 16#3cd70866#;
   pragma Export (C, u00059, "hostparmS");
   u00060 : constant Version_32 := 16#fd83e873#;
   pragma Export (C, u00060, "system__concat_2B");
   u00061 : constant Version_32 := 16#6186175a#;
   pragma Export (C, u00061, "system__concat_2S");
   u00062 : constant Version_32 := 16#e0b5d67b#;
   pragma Export (C, u00062, "typesB");
   u00063 : constant Version_32 := 16#1697e69f#;
   pragma Export (C, u00063, "typesS");
   u00064 : constant Version_32 := 16#5b9edcc4#;
   pragma Export (C, u00064, "system__compare_array_unsigned_8B");
   u00065 : constant Version_32 := 16#ca25b107#;
   pragma Export (C, u00065, "system__compare_array_unsigned_8S");
   u00066 : constant Version_32 := 16#5f72f755#;
   pragma Export (C, u00066, "system__address_operationsB");
   u00067 : constant Version_32 := 16#702a7eb9#;
   pragma Export (C, u00067, "system__address_operationsS");
   u00068 : constant Version_32 := 16#fe7e644a#;
   pragma Export (C, u00068, "system__unsigned_typesS");
   u00069 : constant Version_32 := 16#b97322e0#;
   pragma Export (C, u00069, "system__os_libB");
   u00070 : constant Version_32 := 16#dc0cac3f#;
   pragma Export (C, u00070, "system__os_libS");
   u00071 : constant Version_32 := 16#d1060688#;
   pragma Export (C, u00071, "system__case_utilB");
   u00072 : constant Version_32 := 16#472fa95d#;
   pragma Export (C, u00072, "system__case_utilS");
   u00073 : constant Version_32 := 16#13b71684#;
   pragma Export (C, u00073, "system__crtlS");
   u00074 : constant Version_32 := 16#1a817b8e#;
   pragma Export (C, u00074, "system__stringsB");
   u00075 : constant Version_32 := 16#1d99d1ec#;
   pragma Export (C, u00075, "system__stringsS");
   u00076 : constant Version_32 := 16#e07ccf39#;
   pragma Export (C, u00076, "nametB");
   u00077 : constant Version_32 := 16#277495b0#;
   pragma Export (C, u00077, "nametS");
   u00078 : constant Version_32 := 16#f7c84cf8#;
   pragma Export (C, u00078, "debugB");
   u00079 : constant Version_32 := 16#3ea59655#;
   pragma Export (C, u00079, "debugS");
   u00080 : constant Version_32 := 16#a7cd04ed#;
   pragma Export (C, u00080, "optB");
   u00081 : constant Version_32 := 16#467c6b6f#;
   pragma Export (C, u00081, "optS");
   u00082 : constant Version_32 := 16#a9cccf95#;
   pragma Export (C, u00082, "gnatvsnB");
   u00083 : constant Version_32 := 16#5a4c4232#;
   pragma Export (C, u00083, "gnatvsnS");
   u00084 : constant Version_32 := 16#31238d4a#;
   pragma Export (C, u00084, "tree_ioB");
   u00085 : constant Version_32 := 16#c3f46287#;
   pragma Export (C, u00085, "tree_ioS");
   u00086 : constant Version_32 := 16#4bdda908#;
   pragma Export (C, u00086, "widecharB");
   u00087 : constant Version_32 := 16#a10d9892#;
   pragma Export (C, u00087, "widecharS");
   u00088 : constant Version_32 := 16#61013b91#;
   pragma Export (C, u00088, "allocS");
   u00089 : constant Version_32 := 16#3c4be7b6#;
   pragma Export (C, u00089, "tableB");
   u00090 : constant Version_32 := 16#7d7242bf#;
   pragma Export (C, u00090, "tableS");
   u00091 : constant Version_32 := 16#58e7cff7#;
   pragma Export (C, u00091, "system__memoryB");
   u00092 : constant Version_32 := 16#3a5ba6be#;
   pragma Export (C, u00092, "system__memoryS");
   u00093 : constant Version_32 := 16#3669b76b#;
   pragma Export (C, u00093, "fnameB");
   u00094 : constant Version_32 := 16#6b125867#;
   pragma Export (C, u00094, "fnameS");
   u00095 : constant Version_32 := 16#128276e6#;
   pragma Export (C, u00095, "osintB");
   u00096 : constant Version_32 := 16#92101c8a#;
   pragma Export (C, u00096, "osintS");
   u00097 : constant Version_32 := 16#eab35253#;
   pragma Export (C, u00097, "fmapB");
   u00098 : constant Version_32 := 16#d5c89693#;
   pragma Export (C, u00098, "fmapS");
   u00099 : constant Version_32 := 16#fd2ad2f1#;
   pragma Export (C, u00099, "gnatS");
   u00100 : constant Version_32 := 16#be789e08#;
   pragma Export (C, u00100, "gnat__htableB");
   u00101 : constant Version_32 := 16#328c5a96#;
   pragma Export (C, u00101, "gnat__htableS");
   u00102 : constant Version_32 := 16#c3335bfd#;
   pragma Export (C, u00102, "system__htableB");
   u00103 : constant Version_32 := 16#e7e47360#;
   pragma Export (C, u00103, "system__htableS");
   u00104 : constant Version_32 := 16#089f5cd0#;
   pragma Export (C, u00104, "system__string_hashB");
   u00105 : constant Version_32 := 16#45ba181e#;
   pragma Export (C, u00105, "system__string_hashS");
   u00106 : constant Version_32 := 16#0b4c3a84#;
   pragma Export (C, u00106, "sdefaultB");
   u00107 : constant Version_32 := 16#e6b86192#;
   pragma Export (C, u00107, "sdefaultS");
   u00108 : constant Version_32 := 16#b4c7e746#;
   pragma Export (C, u00108, "targparmB");
   u00109 : constant Version_32 := 16#e933183e#;
   pragma Export (C, u00109, "targparmS");
   u00110 : constant Version_32 := 16#19271515#;
   pragma Export (C, u00110, "csetsB");
   u00111 : constant Version_32 := 16#e948558f#;
   pragma Export (C, u00111, "csetsS");
   u00112 : constant Version_32 := 16#d0432c8d#;
   pragma Export (C, u00112, "system__img_enum_newB");
   u00113 : constant Version_32 := 16#026ac64a#;
   pragma Export (C, u00113, "system__img_enum_newS");
   u00114 : constant Version_32 := 16#771282a6#;
   pragma Export (C, u00114, "ridentS");
   u00115 : constant Version_32 := 16#5239e621#;
   pragma Export (C, u00115, "casingB");
   u00116 : constant Version_32 := 16#c2f1dfc8#;
   pragma Export (C, u00116, "casingS");
   u00117 : constant Version_32 := 16#0a85a591#;
   pragma Export (C, u00117, "indepswB");
   u00118 : constant Version_32 := 16#e7a03574#;
   pragma Export (C, u00118, "indepswS");
   u00119 : constant Version_32 := 16#769e25e6#;
   pragma Export (C, u00119, "interfaces__cB");
   u00120 : constant Version_32 := 16#61e3d2ff#;
   pragma Export (C, u00120, "interfaces__cS");
   u00121 : constant Version_32 := 16#bb956a8c#;
   pragma Export (C, u00121, "interfaces__c__stringsB");
   u00122 : constant Version_32 := 16#603c1c44#;
   pragma Export (C, u00122, "interfaces__c__stringsS");
   u00123 : constant Version_32 := 16#84a27f0d#;
   pragma Export (C, u00123, "interfaces__c_streamsB");
   u00124 : constant Version_32 := 16#a06e9ee4#;
   pragma Export (C, u00124, "interfaces__c_streamsS");
   u00125 : constant Version_32 := 16#0a5c5dae#;
   pragma Export (C, u00125, "snamesB");
   u00126 : constant Version_32 := 16#4c7a0a7a#;
   pragma Export (C, u00126, "snamesS");
   u00127 : constant Version_32 := 16#e941328e#;
   pragma Export (C, u00127, "switchB");
   u00128 : constant Version_32 := 16#7ef77e7d#;
   pragma Export (C, u00128, "switchS");
   --  BEGIN ELABORATION ORDER
   --  ada%s
   --  ada.command_line%s
   --  gnat%s
   --  interfaces%s
   --  system%s
   --  system.address_operations%s
   --  system.address_operations%b
   --  system.case_util%s
   --  system.case_util%b
   --  system.htable%s
   --  gnat.htable%s
   --  gnat.htable%b
   --  system.img_enum_new%s
   --  system.img_enum_new%b
   --  system.img_int%s
   --  system.img_int%b
   --  system.parameters%s
   --  system.parameters%b
   --  system.crtl%s
   --  interfaces.c_streams%s
   --  interfaces.c_streams%b
   --  system.standard_library%s
   --  system.exceptions_debug%s
   --  system.exceptions_debug%b
   --  system.storage_elements%s
   --  system.storage_elements%b
   --  system.stack_checking%s
   --  system.stack_checking%b
   --  system.string_hash%s
   --  system.string_hash%b
   --  system.htable%b
   --  system.strings%s
   --  system.strings%b
   --  system.os_lib%s
   --  system.traceback_entries%s
   --  system.traceback_entries%b
   --  ada.exceptions%s
   --  system.soft_links%s
   --  system.unsigned_types%s
   --  system.wch_con%s
   --  system.wch_con%b
   --  system.wch_cnv%s
   --  system.wch_jis%s
   --  system.wch_jis%b
   --  system.wch_cnv%b
   --  system.wch_stw%s
   --  system.wch_stw%b
   --  ada.exceptions.last_chance_handler%s
   --  ada.exceptions.last_chance_handler%b
   --  ada.exceptions.traceback%s
   --  system.address_image%s
   --  system.compare_array_unsigned_8%s
   --  system.compare_array_unsigned_8%b
   --  system.concat_2%s
   --  system.concat_2%b
   --  system.exception_table%s
   --  system.exception_table%b
   --  interfaces.c%s
   --  interfaces.c.strings%s
   --  system.exceptions%s
   --  system.exceptions%b
   --  system.exceptions.machine%s
   --  system.assertions%s
   --  system.assertions%b
   --  system.memory%s
   --  system.memory%b
   --  system.standard_library%b
   --  system.secondary_stack%s
   --  interfaces.c.strings%b
   --  interfaces.c%b
   --  system.soft_links%b
   --  system.os_lib%b
   --  ada.command_line%b
   --  system.secondary_stack%b
   --  system.address_image%b
   --  ada.exceptions.traceback%b
   --  system.traceback%s
   --  system.traceback%b
   --  system.traceback.symbolic%s
   --  system.traceback.symbolic%b
   --  ada.exceptions%b
   --  debug%s
   --  debug%b
   --  types%s
   --  types%b
   --  alloc%s
   --  casing%s
   --  gnatlink%s
   --  gnatvsn%s
   --  gnatvsn%b
   --  hostparm%s
   --  indepsw%s
   --  indepsw%b
   --  opt%s
   --  csets%s
   --  csets%b
   --  output%s
   --  output%b
   --  rident%s
   --  sdefault%s
   --  switch%s
   --  tree_io%s
   --  tree_io%b
   --  opt%b
   --  table%s
   --  table%b
   --  namet%s
   --  ali%s
   --  butil%s
   --  butil%b
   --  fmap%s
   --  fname%s
   --  fname%b
   --  osint%s
   --  fmap%b
   --  ali%b
   --  switch%b
   --  sdefault%b
   --  snames%s
   --  snames%b
   --  targparm%s
   --  targparm%b
   --  osint%b
   --  gnatlink%b
   --  widechar%s
   --  widechar%b
   --  namet%b
   --  casing%b
   --  END ELABORATION ORDER


end ada_main;
